Bug 497519 - lpq -a from RHEL remote clients failure
lpq -a from RHEL remote clients failure
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 08:37 EDT by Kostas Georgiou
Modified: 2009-05-12 00:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.10-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 23:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2009-04-24 08:37:19 EDT
After the recent cups update my rhel{4,5} clients fail in lpq -a

$ lpq -a
lpq: get-jobs failed: client-error-bad-request

access.log shows:
ip - - [24/Apr/2009:13:32:08 +0100] "POST / HTTP/1.1" 200 135 CUPS-Get-Printers successful-ok
ip - - [24/Apr/2009:13:32:08 +0100] "POST / HTTP/1.1" 200 135 CUPS-Get-Classes successful-ok
ip - - [24/Apr/2009:13:32:08 +0100] "POST / HTTP/1.1" 200 75 CUPS-Get-Default successful-ok
ip - - [24/Apr/2009:13:32:08 +0100] "POST / HTTP/1.1" 200 107 Get-Jobs client-error-bad-request

It's not clear yet if this is the only issue but I am sure the users will let me know soon enough if anything else isn't working.
Comment 1 Tim Waugh 2009-04-24 08:56:28 EDT
Anything useful in /var/log/cups/error_log?  Have you tried turning on debugging (cupsctl --debug-logging)?
Comment 2 Kostas Georgiou 2009-04-24 09:04:42 EDT
With debug on I get the following in error_log

D [24/Apr/2009:14:00:22 +0100] Get-Jobs ipp://localhost/jobs
D [24/Apr/2009:14:00:22 +0100] Get-Jobs client-error-bad-request: No printer-uri in request!
D [24/Apr/2009:14:00:22 +0100] cupsdProcessIPPRequest: 9 status_code=400 (client-error-bad-request)

From the server itself I see that the request that works is 
"Get-Jobs ipp://localhost/"
Comment 3 Tim Waugh 2009-04-24 13:15:12 EDT
Thanks for helping to narrow down the problem.

Until Red Hat Enterprise Linux is fixed to provide printer-uri attributes with these requests, I've relaxed that requirement in Fedora.
Comment 4 Fedora Update System 2009-04-26 08:51:39 EDT
cups-1.3.10-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.10-2.fc9
Comment 5 Fedora Update System 2009-04-26 08:52:30 EDT
cups-1.3.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.10-2.fc10
Comment 6 Fedora Update System 2009-04-27 17:39:54 EDT
cups-1.3.10-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4052
Comment 7 Fedora Update System 2009-04-27 17:40:25 EDT
cups-1.3.10-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4056
Comment 8 Fedora Update System 2009-05-09 00:05:29 EDT
cups-1.3.10-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4056
Comment 9 Fedora Update System 2009-05-09 00:14:42 EDT
cups-1.3.10-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4052
Comment 10 Fedora Update System 2009-05-11 23:53:37 EDT
cups-1.3.10-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-12 00:03:52 EDT
cups-1.3.10-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.